package com.diagbot.facade;

import com.diagbot.dto.DoctorInfoDTO;
import com.diagbot.service.impl.DoctorInfoServiceImpl;
import com.diagbot.vo.DoctorInfoVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/19 19:49
 */
@Component
public class DoctorInfoFacade extends DoctorInfoServiceImpl {

    /**
     * 获取医生信息
     *
     * @param doctorInfoVo
     * @return
     */
    public List<DoctorInfoDTO> getDoctorInfo(DoctorInfoVO doctorInfoVo) {
        List<DoctorInfoDTO> doctorInfoDTOList = this.getDoctorInfos(doctorInfoVo.getDoctorCode(), doctorInfoVo.getHosptialCode(), doctorInfoVo.getDeptCode());
        return doctorInfoDTOList;
    }
}
